#!/bin/sh

echo test_file
./test_file > out 2> err
diff out test_file.out
diff err test_file.err
diff test_file_test0.txt test_file_test0.txt.OK 
diff test_file_test1.bin test_file_test1.bin.OK 

echo test_field
./test_field > out 2> err
diff out test_field.out
diff err test_field.err

echo test_io
./test_io > out 2> err
diff out test_io.out
diff err test_io.err
diff test_io_test0.cdm test_io_test1.cdm 
diff test_io_test0.txt test_io_test1.txt 
diff test_io_test0.cdm test_io_test0.cdm.OK 
diff test_io_test0.txt test_io_test0.txt.OK 
diff test_io_test1.cdm test_io_test1.cdm.OK 
diff test_io_test1.txt test_io_test1.txt.OK 

echo test_column
./test_column > out 2> err
diff out test_column.out
diff err test_column.err

echo test_table
./test_table > out 2> err
diff out test_table.out
diff err test_table.err

echo test_table_io
./test_table_io > out 2> err
diff out test_table_io.out
diff err test_table_io.err
diff test_table_io_test0.cdm test_table_io_test1.cdm 
diff test_table_io_test0.txt test_table_io_test1.txt 
diff test_table_io_test0.txt test_table_io_test2.txt 
diff test_table_io_test0.cdm test_table_io_test0.cdm.OK 
diff test_table_io_test0.txt test_table_io_test0.txt.OK 
diff test_table_io_test1.cdm test_table_io_test1.cdm.OK 
diff test_table_io_test1.txt test_table_io_test1.txt.OK 
diff test_table_io_test2.txt test_table_io_test2.txt.OK 
diff test_table_io_column0.cdm test_table_io_column0.cdm.OK 
diff test_table_io_column0.txt test_table_io_column0.txt.OK 
diff test_table_io_column1.cdm test_table_io_column1.cdm.OK 
diff test_table_io_column1.txt test_table_io_column1.txt.OK 
diff test_table_io_column23.cdm test_table_io_column23.cdm.OK 
diff test_table_io_column23.txt test_table_io_column23.txt.OK 

echo test_use_flag
./test_use_flag > out 2> err
diff out test_use_flag.out
diff err test_use_flag.err

echo test_free_list
./test_free_list > out 2> err
diff out test_free_list.out
diff err test_free_list.err

echo test_ordered
./test_ordered > out 2> err
diff out test_ordered.out
diff err test_ordered.err

echo test_list_table
./test_list_table > out 2> err
diff out test_list_table.out
diff err test_list_table.err

