/* header file for autores_field.c */

#ifndef __AUTORES_FIELD__
#define __AUTORES_FIELD__

/* Field */



/* Field */

#define AUTORES_MAX_FIELD_NAME_LENGTH 80

typedef enum {
  AUTORES_FIELD_INTEGER,
  AUTORES_FIELD_INTEGER1D, 
  AUTORES_FIELD_REAL,
  AUTORES_FIELD_REAL1D
} AutoRes_FieldType;

void AutoRes_Field_Initialize (void);

int /* boolean */
AutoRes_Field_HandleIsValid 
(AutoRes_Handle handle, 
 AutoRes_FieldType fieldType);

void AutoRes_Field_delete 
(void *self, 
 AutoRes_FieldType fieldType);

void AutoRes_Field_getName 
(void *self, 
 AutoRes_FieldType fieldType,
 char *name_OUT);



#endif  /* __AUTORES_FIELD__ */



