/* header file for autores_selection.c */

#ifndef __AUTORES_SELECTION__
#define __AUTORES_SELECTION__



/* Selection */

typedef struct _AutoRes_Selection {
  AutoRes_Handle handle;

  AutoRes_Table *entrys;  /* OWN */
  AutoRes_IntegerColumn *entrys_objectId;
} AutoRes_Selection;

AUTORES_DECLARE_HANDLE(AutoRes_Selection);

AutoRes_Selection *AutoRes_Selection_New (void);

void AutoRes_Selection_delete 
(AutoRes_Selection *self);

int /* boolean */
AutoRes_Selection_reserve 
(AutoRes_Selection *self,
 int nInitialEntrys);

int AutoRes_Selection_addObject 
(AutoRes_Selection *self,
 int objectId);

int /* boolean */
AutoRes_Selection_import 
(AutoRes_Selection *self,
 AutoRes_IntegerColumn *objects_flag);

void AutoRes_Selection_export 
(AutoRes_Selection *self,
 AutoRes_IntegerColumn *objects_flag);

AutoRes_Table *AutoRes_Selection_entrys 
(AutoRes_Selection *self);

int AutoRes_Selection_nEntrys 
(AutoRes_Selection *self);

int AutoRes_Selection_objectId 
(AutoRes_Selection *self,
 int entryId);



#endif  /* __AUTORES_SELECTION__ */



